edu.sc.seis.sod.subsetter.station

## Class StationXOR

- java.lang.Object
- - edu.sc.seis.sod.subsetter.LogicalSubsetter
  - - edu.sc.seis.sod.subsetter.station.StationLogicalSubsetter
    - - edu.sc.seis.sod.subsetter.station.StationXOR

- All Implemented Interfaces:
    SodElement, StationSubsetter, Subsetter

      public final class StationXOR
      extends StationLogicalSubsetter
      implements StationSubsetter

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.station.StationLogicalSubsetter

      `packages`

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.LogicalSubsetter

      `filterList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StationXOR(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSuccess(StringTree[] reasons)`
    `boolean` | `shouldContinue(StringTree result)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.station.StationLogicalSubsetter

      `accept, createSubsetter, getPackages, getSubsetter`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.LogicalSubsetter

      `getSubsetters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.subsetter.station.StationSubsetter

      `accept`

- - ### Constructor Detail

    - #### StationXOR

          public StationXOR(org.w3c.dom.Element config)
                     throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### shouldContinue

          public boolean shouldContinue(StringTree result)

      Specified by:
        `shouldContinue` in class `StationLogicalSubsetter`

    - #### isSuccess

          public boolean isSuccess(StringTree[] reasons)

      Specified by:
        `isSuccess` in class `StationLogicalSubsetter`